package no.ntnu.item.cbcc.cbccuseragent.callcontroller;

import java.lang.String;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser;
import java.util.StringTokenizer;
import java.util.Hashtable;
import java.util.PropertyResourceBundle;
import java.io.IOException;
import no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg;
import java.util.ArrayList;
import no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node;
import java.io.File;
import se.ericsson.eto.norarc.ejbframe.ActorAddress;

public class CallControllerSM extends ActorSM {


    public ActorAddress myPolicyEditor;
    public ActorAddress myPolicyManager;
    public PropertyResourceBundle myPolicyProperties;
    public FileInputStream myFileInputStream;
    public File myFile;
    public Hashtable myHashTable;
    public FileNotFoundException myFNFException;
    public IOException ioe;
    public AddOnRRPolicyMsg myAoRRPmsg;
    public Node myCondition;
    public PolicyConditionParser myConditionParser;
    public ActorAddress myCallControlFeature;
    public ArrayList familyCallers;
    public ArrayList workCallers;
    public String secretary;
    public String cellPhone;
    public String deskPhone;
    public String voicemail;
    public String currentCaller;
    public StringTokenizer tokenizer;
    public String currentCallee;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        // register the policies with the PolicyEditor
		System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
    	System.out.println("Init'ing CallController");
    	System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
		String parentID = this.context.getParentAddress().getActorID();
		this.myPolicyEditor = new ActorAddress(parentID
				+ "/myPolicyEditor", "PolicyEditor");
		this.myPolicyManager = new ActorAddress(parentID
				+ "/myPolicyManager", "PolicyManager");
		this.myConditionParser = new PolicyConditionParser(new java.io.StringReader(""));
		this.myCallControlFeature = new ActorAddress(parentID + "/myCallControlFeature", "NRGCallControlFeature");
		try {
			this.familyCallers = new ArrayList();
			PropertyResourceBundle callProperties = new PropertyResourceBundle(new FileInputStream(new File("defaultCBCCProperties.properties")));
			String familyCallers = callProperties.getString("familyCaller");
			StringTokenizer familyTok = new StringTokenizer(familyCallers);
			while (familyTok.hasMoreTokens()) {
				String familyNumber = familyTok.nextToken();
				this.familyCallers.add(familyNumber);
			}
			this.workCallers = new ArrayList();
			String workCallers = callProperties.getString("workCaller");
			StringTokenizer workTok = new StringTokenizer(workCallers);
			while (workTok.hasMoreTokens()) {
				String workNumber = workTok.nextToken();
				this.workCallers.add(workNumber);
			}
			this.secretary = callProperties.getString("secretary");
			this.cellPhone = callProperties.getString("terminalAgentPhonenumber");
			this.deskPhone = callProperties.getString("deskPhone");
			this.voicemail = callProperties.getString("userVoicemail");
			
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
    }
}
