package no.ntnu.item.cbcc.cbccuseragent.cbccuseragent;

import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import se.ericsson.eto.norarc.ejbframe.ActorAddress;

public class CBCCUserAgentSM extends ActorSM {


    public ActorAddress myCallController;
    public ActorAddress myContextEngine;
    public ActorAddress myCallControlFeature;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        // since all the other actors are defined as inner parts of cbccuseragent, they will be 
    	// started when cbccuseragent is started up...
    	System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
    	System.out.println("Init'ing CBCCUserAgent");
    	System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
    	this.myCallController = new ActorAddress(this.myActorId + "/myCallController", "CallController");
    	this.myContextEngine = new ActorAddress(this.myActorId + "/myContextEngine", "ContextEngine");
    	this.myCallControlFeature = new ActorAddress(this.myActorId + "/myCallControlFeature", "NRGCallControlFeature");
    }
}
