package no.ntnu.item.contextengine.contextengine;

import no.ntnu.item.contextengine.controller.ContextReasoner;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import no.ntnu.item.contextengine.sensors.timesensor.TimeSensor;
import se.ericsson.eto.norarc.ejbframe.ActorAddress;
import no.ntnu.item.contextengine.sensors.activitysensor.ActivitySensor;

public class ContextEngineSM extends ActorSM {


    public ActorAddress myLocationSensorAddress;
    public TimeSensor myTimeSensor;
    public ContextReasoner myContextReasoner;
    public ActivitySensor myActivitySensor;
    public int hour;
    public int minute;
    public int second;
    public ActorAddress myProfileEditor;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        String parentID = this.context.getParentAddress().getActorID();
    	String myID = this.myActorId;
        this.myLocationSensorAddress = new ActorAddress(parentID + "/" +  myID + "/myLocationSensor", "LocationSensor");
        this.myProfileEditor = new ActorAddress(parentID + "/myProfileEditor", "ProfileEditor");
    }
}
