package no.ntnu.item.cbcc.cbccuseragent.callcontroller;

public class CallControllerCS extends
		se.ericsson.eto.norarc.ejbactorframe.ActorCS {

	protected se.ericsson.eto.norarc.ejbframe.State active = new se.ericsson.eto.norarc.ejbframe.State(
			"active", this);

	protected se.ericsson.eto.norarc.ejbframe.State waitForPolicyCheckReply = new se.ericsson.eto.norarc.ejbframe.State(
			"waitForPolicyCheckReply", this);

	public CallControllerCS() {
		super();
	}

	public void execTrans(
			se.ericsson.eto.norarc.ejbframe.messages.ActorMsg signal,
			se.ericsson.eto.norarc.ejbframe.State state,
			se.ericsson.eto.norarc.ejbframe.StateMachine curfsm) {
		super.execTrans(signal, state, curfsm);
		no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerSM asm = (no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerSM) curfsm;
		if (state == idle) {
			if (signal instanceof no.ntnu.item.cbcc.cbccuseragent.signals.StartUp) {
				no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerActions
						.startUp(
								(no.ntnu.item.cbcc.cbccuseragent.signals.StartUp) signal,
								asm);
				performExit(curfsm);
				nextState(active, curfsm);
			} else if (signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.StartPlayingMsg) {
				performExit(curfsm);
				nextState(idle, curfsm);
			}
		} else if (state == active) {
			if (signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyNOKMsg) {
				no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerActions
						.handlePolicyAddError(
								(no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyNOKMsg) signal,
								asm);
				performExit(curfsm);
				nextState(active, curfsm);
			} else if (signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) {
				no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerActions
						.handlePolicyAddSuccess(
								(no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) signal,
								asm);
				performExit(curfsm);
				nextState(active, curfsm);
			} else if (signal instanceof no.ntnu.item.mam.signals.common.RouteReq) {
				no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerActions
						.handleRouteReq(
								(no.ntnu.item.mam.signals.common.RouteReq) signal,
								asm);
				performExit(curfsm);
				nextState(waitForPolicyCheckReply, curfsm);
			}
		} else if (state == waitForPolicyCheckReply) {
			if (signal instanceof no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOKMsg) {
				no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerActions
						.handlePolicyCheckOK(
								(no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOKMsg) signal,
								asm);
				performExit(curfsm);
				nextState(active, curfsm);
			} else if (signal instanceof no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckNOKMsg) {
				no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerActions
						.handlePolicyCheckNOK(
								(no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckNOKMsg) signal,
								asm);
				performExit(curfsm);
				nextState(active, curfsm);
			}
		}
	}
}
