package no.ntnu.item.cbcc.cbccuseragent.callcontroller.sim;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.EJBObject;
import javax.ejb.Handle;
import javax.ejb.RemoveException;

import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;
import no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallController;
import no.ntnu.item.cbcc.cbccuseragent.callcontroller.CallControllerBean;



/**
 * This class is necessary for simulation to work. Simply copy and paste the
 * class for it to work. All you need to change is name of the class and what it
 * extends and implements. The class should extend your actorbean (in the example
 * CallControllerBean), and it should implement your Actor interface (in this example CallController).
 * 
 * Since the class implements the CallController interface, all business methods of the 
 * interface must be implemented here as well.
 * 
 * The class overrides the EJB specific methods of your Actor, enabling simulation
 * outside an EJB container.
 */
public class SimCallControllerBean extends CallControllerBean implements CallController {

	/*
	 * Implement local data and abstract methods from Bean classes
	 */

    /** Local persistent data for the actor */
    

public se.ericsson.eto.norarc.ejbframe.ActorAddress myPolicyEditor;

public se.ericsson.eto.norarc.ejbframe.ActorAddress myPolicyManager;

public java.util.PropertyResourceBundle myPolicyProperties;

public java.io.FileInputStream myFileInputStream;

public java.io.File myFile;

public java.util.Hashtable myHashTable;

public java.io.FileNotFoundException myFNFException;

public java.io.IOException ioe;

public no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg myAoRRPmsg;

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node myCondition;

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser myConditionParser;

public se.ericsson.eto.norarc.ejbframe.ActorAddress myCallControlFeature;

public java.util.ArrayList familyCallers;

public java.util.ArrayList workCallers;

public java.lang.String secretary;

public java.lang.String cellPhone;

public java.lang.String deskPhone;

public java.lang.String voicemail;

public java.lang.String currentCaller;

public java.util.StringTokenizer tokenizer;

public java.lang.String currentCallee;
  	


public se.ericsson.eto.norarc.ejbframe.ActorAddress getMyPolicyEditor(){
	return myPolicyEditor;
}

public void setMyPolicyEditor(se.ericsson.eto.norarc.ejbframe.ActorAddress myPolicyEditor){
	this.myPolicyEditor = myPolicyEditor;
}

public se.ericsson.eto.norarc.ejbframe.ActorAddress getMyPolicyManager(){
	return myPolicyManager;
}

public void setMyPolicyManager(se.ericsson.eto.norarc.ejbframe.ActorAddress myPolicyManager){
	this.myPolicyManager = myPolicyManager;
}

public java.util.PropertyResourceBundle getMyPolicyProperties(){
	return myPolicyProperties;
}

public void setMyPolicyProperties(java.util.PropertyResourceBundle myPolicyProperties){
	this.myPolicyProperties = myPolicyProperties;
}

public java.io.FileInputStream getMyFileInputStream(){
	return myFileInputStream;
}

public void setMyFileInputStream(java.io.FileInputStream myFileInputStream){
	this.myFileInputStream = myFileInputStream;
}

public java.io.File getMyFile(){
	return myFile;
}

public void setMyFile(java.io.File myFile){
	this.myFile = myFile;
}

public java.util.Hashtable getMyHashTable(){
	return myHashTable;
}

public void setMyHashTable(java.util.Hashtable myHashTable){
	this.myHashTable = myHashTable;
}

public java.io.FileNotFoundException getMyFNFException(){
	return myFNFException;
}

public void setMyFNFException(java.io.FileNotFoundException myFNFException){
	this.myFNFException = myFNFException;
}

public java.io.IOException getIoe(){
	return ioe;
}

public void setIoe(java.io.IOException ioe){
	this.ioe = ioe;
}

public no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg getMyAoRRPmsg(){
	return myAoRRPmsg;
}

public void setMyAoRRPmsg(no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg myAoRRPmsg){
	this.myAoRRPmsg = myAoRRPmsg;
}

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node getMyCondition(){
	return myCondition;
}

public void setMyCondition(no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node myCondition){
	this.myCondition = myCondition;
}

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser getMyConditionParser(){
	return myConditionParser;
}

public void setMyConditionParser(no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser myConditionParser){
	this.myConditionParser = myConditionParser;
}

public se.ericsson.eto.norarc.ejbframe.ActorAddress getMyCallControlFeature(){
	return myCallControlFeature;
}

public void setMyCallControlFeature(se.ericsson.eto.norarc.ejbframe.ActorAddress myCallControlFeature){
	this.myCallControlFeature = myCallControlFeature;
}

public java.util.ArrayList getFamilyCallers(){
	return familyCallers;
}

public void setFamilyCallers(java.util.ArrayList familyCallers){
	this.familyCallers = familyCallers;
}

public java.util.ArrayList getWorkCallers(){
	return workCallers;
}

public void setWorkCallers(java.util.ArrayList workCallers){
	this.workCallers = workCallers;
}

public java.lang.String getSecretary(){
	return secretary;
}

public void setSecretary(java.lang.String secretary){
	this.secretary = secretary;
}

public java.lang.String getCellPhone(){
	return cellPhone;
}

public void setCellPhone(java.lang.String cellPhone){
	this.cellPhone = cellPhone;
}

public java.lang.String getDeskPhone(){
	return deskPhone;
}

public void setDeskPhone(java.lang.String deskPhone){
	this.deskPhone = deskPhone;
}

public java.lang.String getVoicemail(){
	return voicemail;
}

public void setVoicemail(java.lang.String voicemail){
	this.voicemail = voicemail;
}

public java.lang.String getCurrentCaller(){
	return currentCaller;
}

public void setCurrentCaller(java.lang.String currentCaller){
	this.currentCaller = currentCaller;
}

public java.util.StringTokenizer getTokenizer(){
	return tokenizer;
}

public void setTokenizer(java.util.StringTokenizer tokenizer){
	this.tokenizer = tokenizer;
}

public java.lang.String getCurrentCallee(){
	return currentCallee;
}

public void setCurrentCallee(java.lang.String currentCallee){
	this.currentCallee = currentCallee;
}
  	
  	
	// The rest of the class is a pattern for ActorBean simulation. Do not edit

  /** EJBActorFramework simulation - not used by application */
  public ActorContext context;
  /** EJBActorFramework simulation - not used by application */
	public String currentStateId;
  /** EJBActorFramework simulation - not used by application */
	public MailBox saveQueue;
  /** EJBActorFramework simulation - not used by application */
	public int traceCategories;
  /** EJBActorFramework simulation - not used by application */
	public int traceLev;
  /** EJBActorFramework simulation - not used by application */
	public String myActorId;
  /** EJBActorFramework simulation - not used by application */
	public Hashtable activeTimers;

  /** EJBActorFramework simulation - not used by application */
	public SimCallControllerBean(String currentStateId, String myActorId) {
		this.currentStateId = currentStateId;
		this.myActorId = myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
  public ActorContext getContext() {
		return context;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setContext(ActorContext context) {
		this.context = context;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getMyActorId() {
		return myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setMyActorId(String myId) {
		this.myActorId = myId;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getCurrentStateId() {
		return currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setCurrentStateId(String currentStateId) {
		this.currentStateId = currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public MailBox getSaveQueue() {
		return saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setSaveQueue(MailBox saveQueue) {
		this.saveQueue = saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceCategories() {
		return traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceCategories(int traceCategories) {
		this.traceCategories = traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceLev() {
		return traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceLev(int traceLev) {
		this.traceLev = traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
  public Hashtable getActiveTimers() {
    return this.activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
  public void setActiveTimers(Hashtable activeTimers) {
    this.activeTimers = activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
	public String ejbCreate(String myId, String stateId)
		throws CreateException {
		setMyActorId(myId);
		setCurrentStateId(stateId);
		//        setSaveQueue(null);
		return null;
	}

	//Dummy methods for EJB interfacing

  /** EJB simulation - not used by application */
	public EJBHome getEJBHome() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public Object getPrimaryKey() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public void remove() throws RemoteException, RemoveException {}

  /** EJB simulation - not used by application */
	public Handle getHandle() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public boolean isIdentical(EJBObject ejbObject) throws RemoteException {
		return false;
	}

}
 
 