package no.ntnu.item.contextengine.contextengine;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as ContextEngine defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class ContextEngineBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyLocationSensorAddress() ;
public abstract void setMyLocationSensorAddress(se.ericsson.eto.norarc.ejbframe.ActorAddress myLocationSensorAddress) ;

public abstract no.ntnu.item.contextengine.sensors.timesensor.TimeSensor getMyTimeSensor() ;
public abstract void setMyTimeSensor(no.ntnu.item.contextengine.sensors.timesensor.TimeSensor myTimeSensor) ;

public abstract no.ntnu.item.contextengine.controller.ContextReasoner getMyContextReasoner() ;
public abstract void setMyContextReasoner(no.ntnu.item.contextengine.controller.ContextReasoner myContextReasoner) ;

public abstract no.ntnu.item.contextengine.sensors.activitysensor.ActivitySensor getMyActivitySensor() ;
public abstract void setMyActivitySensor(no.ntnu.item.contextengine.sensors.activitysensor.ActivitySensor myActivitySensor) ;

public abstract int getHour() ;
public abstract void setHour(int hour) ;

public abstract int getMinute() ;
public abstract void setMinute(int minute) ;

public abstract int getSecond() ;
public abstract void setSecond(int second) ;

//MyProfileEditor
public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyProfileEditor();
public abstract void setMyProfileEditor(se.ericsson.eto.norarc.ejbframe.ActorAddress myProfileEditor);



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
