package no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as NRGLocationFeature defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class NRGLocationFeatureBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract no.ntnu.item.contextengine.sensors.locationsensor.util.Configuration getConf() ;
public abstract void setConf(no.ntnu.item.contextengine.sensors.locationsensor.util.Configuration conf) ;

public abstract com.ericsson.hosasdk.utility.framework.FWproxy getFwproxy() ;
public abstract void setFwproxy(com.ericsson.hosasdk.utility.framework.FWproxy fwproxy) ;

public abstract com.ericsson.hosasdk.api.HOSAMonitor getHosaMonitor() ;
public abstract void setHosaMonitor(com.ericsson.hosasdk.api.HOSAMonitor hosaMonitor) ;

public abstract com.ericsson.hosasdk.api.mm.ul.IpUserLocation getLocationManager() ;
public abstract void setLocationManager(com.ericsson.hosasdk.api.mm.ul.IpUserLocation locationManager) ;

public abstract no.ntnu.item.contextengine.sensors.locationsensor.util.NRGLocationProcessor getLocationProcessor() ;
public abstract void setLocationProcessor(no.ntnu.item.contextengine.sensors.locationsensor.util.NRGLocationProcessor locationProcessor) ;

public abstract no.ntnu.item.contextengine.sensors.locationsensor.util.Logger getLogger() ;
public abstract void setLogger(no.ntnu.item.contextengine.sensors.locationsensor.util.Logger logger) ;

public abstract java.io.FileNotFoundException getMyFNFException() ;
public abstract void setMyFNFException(java.io.FileNotFoundException myFNFException) ;

public abstract java.io.FileInputStream getMyFileStream() ;
public abstract void setMyFileStream(java.io.FileInputStream myFileStream) ;

public abstract java.io.IOException getMyIOException() ;
public abstract void setMyIOException(java.io.IOException myIOException) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyParent() ;
public abstract void setMyParent(se.ericsson.eto.norarc.ejbframe.ActorAddress myParent) ;

public abstract java.util.PropertyResourceBundle getMyResources() ;
public abstract void setMyResources(java.util.PropertyResourceBundle myResources) ;

public abstract java.util.Properties getProps() ;
public abstract void setProps(java.util.Properties props) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
