package no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature;

import se.ericsson.eto.norarc.ejbframe.State;
import se.ericsson.eto.norarc.ejbframe.StateMachine;
import se.ericsson.eto.norarc.ejbactorframe.ActorCS;
import se.ericsson.eto.norarc.ejbframe.messages.ActorMsg;

public class NRGLocationFeatureCS extends ActorCS {


    protected State waitingForSubscriptionReports = new se.ericsson.eto.norarc.ejbframe.State("waitingForSubscriptionReports", this);
    protected State waitingForLocationResults = new se.ericsson.eto.norarc.ejbframe.State("waitingForLocationResults", this);

    public NRGLocationFeatureCS() {
        super();
    }


    public void execTrans(ActorMsg signal, State state, StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureSM asm = (no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureSM) curfsm;
        if(state == idle) {
            if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.RoleReleaseMsg) {
                no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureActions.stop((se.ericsson.eto.norarc.ejbactorframe.messages.RoleReleaseMsg) signal, asm);
                // final state;
            } else if(signal instanceof no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.FetchLocationReq) {
                no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureActions.requestLocation((no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.FetchLocationReq) signal, asm);
                performExit(curfsm);
                nextState(waitingForLocationResults, curfsm);
            } else if(signal instanceof no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.RegisterLocationReqSubscriptions) {
                no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureActions.registerLocationRequests((no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.RegisterLocationReqSubscriptions) signal, asm);
                performExit(curfsm);
                nextState(waitingForSubscriptionReports, curfsm);
            } else if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.StartPlayingMsg) {
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        } else if(state == waitingForSubscriptionReports) {
            if(signal instanceof no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.LocationSubscriptionReport) {
                no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureActions.forwardLocationReport((no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.LocationSubscriptionReport) signal, asm);
                performExit(curfsm);
                nextState(waitingForSubscriptionReports, curfsm);
            } else if(signal instanceof no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.StopLocationReqSubscriptions) {
                no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureActions.stopSubscriptions((no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.StopLocationReqSubscriptions) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        } else if(state == waitingForLocationResults) {
            if(signal instanceof no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.LocationReceived) {
                no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureActions.forwardLocation((no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.signals.LocationReceived) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        }
    }
}
