package no.ntnu.item.contextengine.sensors.locationsensor.locationsensor;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as LocationSensor defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class LocationSensorBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyLocationFeatureAddress() ;
public abstract void setMyLocationFeatureAddress(se.ericsson.eto.norarc.ejbframe.ActorAddress myLocationFeatureAddress) ;

public abstract no.ntnu.item.contextengine.controller.ContextReasoner getMyContextReasoner() ;
public abstract void setMyContextReasoner(no.ntnu.item.contextengine.controller.ContextReasoner myContextReasoner) ;

public abstract no.ntnu.item.contextengine.sensors.timesensor.TimeReminder getMyTimer() ;
public abstract void setMyTimer(no.ntnu.item.contextengine.sensors.timesensor.TimeReminder myTimer) ;

public abstract int getHourInterval() ;
public abstract void setHourInterval(int hourInterval) ;

public abstract int getMinuteInterval() ;
public abstract void setMinuteInterval(int minuteInterval) ;

public abstract int getSecondInterval() ;
public abstract void setSecondInterval(int secondInterval) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyContextEngine() ;
public abstract void setMyContextEngine(se.ericsson.eto.norarc.ejbframe.ActorAddress myContextEngine) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
