package no.ntnu.item.mam.actors.ccnrgedgeactors.nrgcallcontrolfeature.sim;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.EJBObject;
import javax.ejb.Handle;
import javax.ejb.RemoveException;

import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;
import no.ntnu.item.mam.actors.ccnrgedgeactors.nrgcallcontrolfeature.NRGCallControlFeature;
import no.ntnu.item.mam.actors.ccnrgedgeactors.nrgcallcontrolfeature.NRGCallControlFeatureBean;



/**
 * This class is necessary for simulation to work. Simply copy and paste the
 * class for it to work. All you need to change is name of the class and what it
 * extends and implements. The class should extend your actorbean (in the example
 * NRGCallControlFeatureBean), and it should implement your Actor interface (in this example NRGCallControlFeature).
 * 
 * Since the class implements the NRGCallControlFeature interface, all business methods of the 
 * interface must be implemented here as well.
 * 
 * The class overrides the EJB specific methods of your Actor, enabling simulation
 * outside an EJB container.
 */
public class SimNRGCallControlFeatureBean extends NRGCallControlFeatureBean implements NRGCallControlFeature {

	/*
	 * Implement local data and abstract methods from Bean classes
	 */

    /** Local persistent data for the actor */
    

public no.ntnu.item.mam.utility.actors.nrg.NRGCCProcessor nrgMPCCProcessor;

public com.ericsson.hosasdk.api.cc.mpccs.IpMultiPartyCallControlManager mpccManager;

public java.util.HashMap notificationIDs;

public com.ericsson.hosasdk.utility.framework.FWproxy fwProxy;

public no.ntnu.item.mam.utility.log.Logger logger;

public java.util.HashMap callInfo;

public com.ericsson.hosasdk.api.HOSAMonitor hosaMonitor;

public se.ericsson.eto.norarc.ejbframe.ActorAddress myMamCallController;
  	


public no.ntnu.item.mam.utility.actors.nrg.NRGCCProcessor getNrgMPCCProcessor(){
	return nrgMPCCProcessor;
}

public void setNrgMPCCProcessor(no.ntnu.item.mam.utility.actors.nrg.NRGCCProcessor nrgMPCCProcessor){
	this.nrgMPCCProcessor = nrgMPCCProcessor;
}

public com.ericsson.hosasdk.api.cc.mpccs.IpMultiPartyCallControlManager getMpccManager(){
	return mpccManager;
}

public void setMpccManager(com.ericsson.hosasdk.api.cc.mpccs.IpMultiPartyCallControlManager mpccManager){
	this.mpccManager = mpccManager;
}

public java.util.HashMap getNotificationIDs(){
	return notificationIDs;
}

public void setNotificationIDs(java.util.HashMap notificationIDs){
	this.notificationIDs = notificationIDs;
}

public com.ericsson.hosasdk.utility.framework.FWproxy getFwProxy(){
	return fwProxy;
}

public void setFwProxy(com.ericsson.hosasdk.utility.framework.FWproxy fwProxy){
	this.fwProxy = fwProxy;
}

public no.ntnu.item.mam.utility.log.Logger getLogger(){
	return logger;
}

public void setLogger(no.ntnu.item.mam.utility.log.Logger logger){
	this.logger = logger;
}

public java.util.HashMap getCallInfo(){
	return callInfo;
}

public void setCallInfo(java.util.HashMap callInfo){
	this.callInfo = callInfo;
}

public com.ericsson.hosasdk.api.HOSAMonitor getHosaMonitor(){
	return hosaMonitor;
}

public void setHosaMonitor(com.ericsson.hosasdk.api.HOSAMonitor hosaMonitor){
	this.hosaMonitor = hosaMonitor;
}

public se.ericsson.eto.norarc.ejbframe.ActorAddress getMyMamCallController(){
	return myMamCallController;
}

public void setMyMamCallController(se.ericsson.eto.norarc.ejbframe.ActorAddress myMamCallController){
	this.myMamCallController = myMamCallController;
}
  	
  	
	// The rest of the class is a pattern for ActorBean simulation. Do not edit

  /** EJBActorFramework simulation - not used by application */
  public ActorContext context;
  /** EJBActorFramework simulation - not used by application */
	public String currentStateId;
  /** EJBActorFramework simulation - not used by application */
	public MailBox saveQueue;
  /** EJBActorFramework simulation - not used by application */
	public int traceCategories;
  /** EJBActorFramework simulation - not used by application */
	public int traceLev;
  /** EJBActorFramework simulation - not used by application */
	public String myActorId;
  /** EJBActorFramework simulation - not used by application */
	public Hashtable activeTimers;

  /** EJBActorFramework simulation - not used by application */
	public SimNRGCallControlFeatureBean(String currentStateId, String myActorId) {
		this.currentStateId = currentStateId;
		this.myActorId = myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
  public ActorContext getContext() {
		return context;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setContext(ActorContext context) {
		this.context = context;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getMyActorId() {
		return myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setMyActorId(String myId) {
		this.myActorId = myId;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getCurrentStateId() {
		return currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setCurrentStateId(String currentStateId) {
		this.currentStateId = currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public MailBox getSaveQueue() {
		return saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setSaveQueue(MailBox saveQueue) {
		this.saveQueue = saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceCategories() {
		return traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceCategories(int traceCategories) {
		this.traceCategories = traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceLev() {
		return traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceLev(int traceLev) {
		this.traceLev = traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
  public Hashtable getActiveTimers() {
    return this.activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
  public void setActiveTimers(Hashtable activeTimers) {
    this.activeTimers = activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
	public String ejbCreate(String myId, String stateId)
		throws CreateException {
		setMyActorId(myId);
		setCurrentStateId(stateId);
		//        setSaveQueue(null);
		return null;
	}

	//Dummy methods for EJB interfacing

  /** EJB simulation - not used by application */
	public EJBHome getEJBHome() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public Object getPrimaryKey() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public void remove() throws RemoteException, RemoveException {}

  /** EJB simulation - not used by application */
	public Handle getHandle() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public boolean isIdentical(EJBObject ejbObject) throws RemoteException {
		return false;
	}

}
 
 