package no.ntnu.item.serviceframe.actors.policymanagement.policymanager;


public class PolicyManagerCS extends se.ericsson.eto.norarc.ejbactorframe.ActorCS {


    protected se.ericsson.eto.norarc.ejbframe.State waitForOnRRFSArrayList = new se.ericsson.eto.norarc.ejbframe.State("waitForOnRRFSArrayList", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForRoleBindingArrayList = new se.ericsson.eto.norarc.ejbframe.State("waitForRoleBindingArrayList", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForOnNonAchGoalFSArrayList = new se.ericsson.eto.norarc.ejbframe.State("waitForOnNonAchGoalFSArrayList", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForCollaborationArrayListReply = new se.ericsson.eto.norarc.ejbframe.State("waitForCollaborationArrayListReply", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForOnUnsRBFSArrayListReply = new se.ericsson.eto.norarc.ejbframe.State("waitForOnUnsRBFSArrayListReply", this);

    public PolicyManagerCS() {
        super();
    }


    public void execTrans(se.ericsson.eto.norarc.ejbframe.messages.ActorMsg signal, se.ericsson.eto.norarc.ejbframe.State state, se.ericsson.eto.norarc.ejbframe.StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerSM asm = (no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerSM) curfsm;
        if(state == idle) {
            if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.StartPlayingMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.requestProfileData(asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.agentprofile.ProfileMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.updateAgentProfile((no.ntnu.item.serviceframe.signals.agentprofile.ProfileMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getOnRRArrayList((no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForOnRRFSArrayList, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getOnNonAchGoalFSArrayList((no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForOnNonAchGoalFSArrayList, curfsm);
            }
        } else if(state == waitForOnRRFSArrayList) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.OnRRPolicyListReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getRoleBindingArrayList((no.ntnu.item.serviceframe.signals.getpolicylist.OnRRPolicyListReplyMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForRoleBindingArrayList, curfsm);
            }
        } else if(state == waitForRoleBindingArrayList) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.processRoleBindingArrayList((no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg) signal, asm);
                if(PolicyManagerActions.roleBindingAccepted((no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getCollaborationArrayList((no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitForCollaborationArrayListReply, curfsm);
                } else if(PolicyManagerActions.roleBindingNotAccepted((no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getOnUnsRoleBindingFSArrayList((no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitForOnUnsRBFSArrayListReply, curfsm);
                }
            }
        } else if(state == waitForOnNonAchGoalFSArrayList) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.OnNonAGPolicyListReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.processOnNonAchArray((no.ntnu.item.serviceframe.signals.getpolicylist.OnNonAGPolicyListReplyMsg) signal, asm);
                if(PolicyManagerActions.foundOnNonAchFS((no.ntnu.item.serviceframe.signals.getpolicylist.OnNonAGPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getRoleBindingArrayListOnNonAchG(asm);
                    performExit(curfsm);
                    nextState(waitForRoleBindingArrayList, curfsm);
                } else if(PolicyManagerActions.notFoundOnNonAchFS((no.ntnu.item.serviceframe.signals.getpolicylist.OnNonAGPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.sendPolicyCheckNOK(asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            }
        } else if(state == waitForCollaborationArrayListReply) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.processCollabArrayList((no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReplyMsg) signal, asm);
                if(PolicyManagerActions.collabPoliciesOK((no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.sendPolicyCheckOK(asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyManagerActions.collabPoliciesNOK((no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getOnUnsRoleBindingFSArrayList2((no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReplyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitForOnUnsRBFSArrayListReply, curfsm);
                }
            }
        } else if(state == waitForOnUnsRBFSArrayListReply) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.processOnUnsArrayList((no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg) signal, asm);
                if(PolicyManagerActions.altRoleOnUnsRBExist((no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.getRoleBindingArrayList2((no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitForRoleBindingArrayList, curfsm);
                } else if(PolicyManagerActions.altRoleOnUnsRBNotExist((no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerActions.sendPolicyCheckNOK(asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            }
        }
    }
}
