package no.ntnu.item.serviceframe.actors.policymanagement.policymanager.sim;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.EJBObject;
import javax.ejb.Handle;
import javax.ejb.RemoveException;

import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;
import no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManager;
import no.ntnu.item.serviceframe.actors.policymanagement.policymanager.PolicyManagerBean;



/**
 * This class is necessary for simulation to work. Simply copy and paste the
 * class for it to work. All you need to change is name of the class and what it
 * extends and implements. The class should extend your actorbean (in the example
 * PolicyManagerBean), and it should implement your Actor interface (in this example PolicyManager).
 * 
 * Since the class implements the PolicyManager interface, all business methods of the 
 * interface must be implemented here as well.
 * 
 * The class overrides the EJB specific methods of your Actor, enabling simulation
 * outside an EJB container.
 */
public class SimPolicyManagerBean extends PolicyManagerBean implements PolicyManager {

	/*
	 * Implement local data and abstract methods from Bean classes
	 */

    /** Local persistent data for the actor */
    

public java.lang.String currentSubjectRole;

public no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg savedRoleBindingArrayListMsg;

public no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg savedOnUnsRBPolicyListReplyMsg;

public java.util.ArrayList altRoleAndParameters;

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node roleBindingResult;

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser policyConditionParser;

public no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg savedPolicyCheckOnRRReqMsg;

public no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg savedPolicyCheckOnGnotAReqMsg;

public no.ntnu.item.serviceframe.auxiliar.sessiondescription.SessionDescription currentSessionDescription;

public se.ericsson.eto.norarc.ejbframe.ActorAddress checkRequestor;

public no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile agentProfile;
  	


public java.lang.String getCurrentSubjectRole(){
	return currentSubjectRole;
}

public void setCurrentSubjectRole(java.lang.String currentSubjectRole){
	this.currentSubjectRole = currentSubjectRole;
}

public no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg getSavedRoleBindingArrayListMsg(){
	return savedRoleBindingArrayListMsg;
}

public void setSavedRoleBindingArrayListMsg(no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg savedRoleBindingArrayListMsg){
	this.savedRoleBindingArrayListMsg = savedRoleBindingArrayListMsg;
}

public no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg getSavedOnUnsRBPolicyListReplyMsg(){
	return savedOnUnsRBPolicyListReplyMsg;
}

public void setSavedOnUnsRBPolicyListReplyMsg(no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg savedOnUnsRBPolicyListReplyMsg){
	this.savedOnUnsRBPolicyListReplyMsg = savedOnUnsRBPolicyListReplyMsg;
}

public java.util.ArrayList getAltRoleAndParameters(){
	return altRoleAndParameters;
}

public void setAltRoleAndParameters(java.util.ArrayList altRoleAndParameters){
	this.altRoleAndParameters = altRoleAndParameters;
}

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node getRoleBindingResult(){
	return roleBindingResult;
}

public void setRoleBindingResult(no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node roleBindingResult){
	this.roleBindingResult = roleBindingResult;
}

public no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser getPolicyConditionParser(){
	return policyConditionParser;
}

public void setPolicyConditionParser(no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser policyConditionParser){
	this.policyConditionParser = policyConditionParser;
}

public no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg getSavedPolicyCheckOnRRReqMsg(){
	return savedPolicyCheckOnRRReqMsg;
}

public void setSavedPolicyCheckOnRRReqMsg(no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg savedPolicyCheckOnRRReqMsg){
	this.savedPolicyCheckOnRRReqMsg = savedPolicyCheckOnRRReqMsg;
}

public no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg getSavedPolicyCheckOnGnotAReqMsg(){
	return savedPolicyCheckOnGnotAReqMsg;
}

public void setSavedPolicyCheckOnGnotAReqMsg(no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg savedPolicyCheckOnGnotAReqMsg){
	this.savedPolicyCheckOnGnotAReqMsg = savedPolicyCheckOnGnotAReqMsg;
}

public no.ntnu.item.serviceframe.auxiliar.sessiondescription.SessionDescription getCurrentSessionDescription(){
	return currentSessionDescription;
}

public void setCurrentSessionDescription(no.ntnu.item.serviceframe.auxiliar.sessiondescription.SessionDescription currentSessionDescription){
	this.currentSessionDescription = currentSessionDescription;
}

public se.ericsson.eto.norarc.ejbframe.ActorAddress getCheckRequestor(){
	return checkRequestor;
}

public void setCheckRequestor(se.ericsson.eto.norarc.ejbframe.ActorAddress checkRequestor){
	this.checkRequestor = checkRequestor;
}

public no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile getAgentProfile(){
	return agentProfile;
}

public void setAgentProfile(no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile agentProfile){
	this.agentProfile = agentProfile;
}
  	
  	
	// The rest of the class is a pattern for ActorBean simulation. Do not edit

  /** EJBActorFramework simulation - not used by application */
  public ActorContext context;
  /** EJBActorFramework simulation - not used by application */
	public String currentStateId;
  /** EJBActorFramework simulation - not used by application */
	public MailBox saveQueue;
  /** EJBActorFramework simulation - not used by application */
	public int traceCategories;
  /** EJBActorFramework simulation - not used by application */
	public int traceLev;
  /** EJBActorFramework simulation - not used by application */
	public String myActorId;
  /** EJBActorFramework simulation - not used by application */
	public Hashtable activeTimers;

  /** EJBActorFramework simulation - not used by application */
	public SimPolicyManagerBean(String currentStateId, String myActorId) {
		this.currentStateId = currentStateId;
		this.myActorId = myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
  public ActorContext getContext() {
		return context;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setContext(ActorContext context) {
		this.context = context;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getMyActorId() {
		return myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setMyActorId(String myId) {
		this.myActorId = myId;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getCurrentStateId() {
		return currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setCurrentStateId(String currentStateId) {
		this.currentStateId = currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public MailBox getSaveQueue() {
		return saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setSaveQueue(MailBox saveQueue) {
		this.saveQueue = saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceCategories() {
		return traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceCategories(int traceCategories) {
		this.traceCategories = traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceLev() {
		return traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceLev(int traceLev) {
		this.traceLev = traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
  public Hashtable getActiveTimers() {
    return this.activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
  public void setActiveTimers(Hashtable activeTimers) {
    this.activeTimers = activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
	public String ejbCreate(String myId, String stateId)
		throws CreateException {
		setMyActorId(myId);
		setCurrentStateId(stateId);
		//        setSaveQueue(null);
		return null;
	}

	//Dummy methods for EJB interfacing

  /** EJB simulation - not used by application */
	public EJBHome getEJBHome() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public Object getPrimaryKey() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public void remove() throws RemoteException, RemoveException {}

  /** EJB simulation - not used by application */
	public Handle getHandle() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public boolean isIdentical(EJBObject ejbObject) throws RemoteException {
		return false;
	}

}
 
 