package no.ntnu.item.serviceframe.actors.policymanagement.policystore;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as PolicyStore defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class PolicyStoreBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract java.util.Hashtable getOnRoleRequestHashtable() ;
public abstract void setOnRoleRequestHashtable(java.util.Hashtable OnRoleRequestHashtable) ;

public abstract java.util.Hashtable getOnNonAGHashtable() ;
public abstract void setOnNonAGHashtable(java.util.Hashtable OnNonAGHashtable) ;

public abstract java.util.Hashtable getOnUnsRBHashtable() ;
public abstract void setOnUnsRBHashtable(java.util.Hashtable OnUnsRBHashtable) ;

public abstract java.util.Hashtable getRoleBindingHashtable() ;
public abstract void setRoleBindingHashtable(java.util.Hashtable RoleBindingHashtable) ;

public abstract java.util.Hashtable getCollaborationHashtable() ;
public abstract void setCollaborationHashtable(java.util.Hashtable CollaborationHashtable) ;

public abstract java.lang.String getUsername() ;
public abstract void setUsername(java.lang.String username) ;

public abstract java.util.Hashtable getAllIDs() ;
public abstract void setAllIDs(java.util.Hashtable allIDs) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
