package no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as TerminalPolicyEditor defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class TerminalPolicyEditorBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract no.ntnu.item.serviceframe.signals.init.InitMsg getSavedInitMsg() ;
public abstract void setSavedInitMsg(no.ntnu.item.serviceframe.signals.init.InitMsg savedInitMsg) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getRequestedRole() ;
public abstract void setRequestedRole(se.ericsson.eto.norarc.ejbframe.ActorAddress requestedRole) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getRequestorRole() ;
public abstract void setRequestorRole(se.ericsson.eto.norarc.ejbframe.ActorAddress requestorRole) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
