package no.ntnu.item.serviceframe.actors.profileeditor.profileeditor;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as ProfileEditor defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class ProfileEditorBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract java.util.ArrayList getSubscribedActors() ;
public abstract void setSubscribedActors(java.util.ArrayList subscribedActors) ;

public abstract no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile getProfile() ;
public abstract void setProfile(no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile profile) ;

public abstract java.lang.String getProfileID() ;
public abstract void setProfileID(java.lang.String profileID) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
