package no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession;


public class TerminalClientSessionCS extends se.ericsson.eto.norarc.ejbactorframe.ActorCS {


    protected se.ericsson.eto.norarc.ejbframe.State waitForUserAgentId = new se.ericsson.eto.norarc.ejbframe.State("waitForUserAgentId", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForUserTerminalSession = new se.ericsson.eto.norarc.ejbframe.State("waitForUserTerminalSession", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForUserAgentAuthentication = new se.ericsson.eto.norarc.ejbframe.State("waitForUserAgentAuthentication", this);
    protected se.ericsson.eto.norarc.ejbframe.State authenticated = new se.ericsson.eto.norarc.ejbframe.State("authenticated", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForLogonHandshake = new se.ericsson.eto.norarc.ejbframe.State("waitForLogonHandshake", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitServiceConfirm = new se.ericsson.eto.norarc.ejbframe.State("waitServiceConfirm", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForTerminalService = new se.ericsson.eto.norarc.ejbframe.State("waitForTerminalService", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForTerminalServiceSession = new se.ericsson.eto.norarc.ejbframe.State("waitForTerminalServiceSession", this);
    protected se.ericsson.eto.norarc.ejbframe.State waitForInitConf = new se.ericsson.eto.norarc.ejbframe.State("waitForInitConf", this);

    public TerminalClientSessionCS() {
        super();
    }


    public void execTrans(se.ericsson.eto.norarc.ejbframe.messages.ActorMsg signal, se.ericsson.eto.norarc.ejbframe.State state, se.ericsson.eto.norarc.ejbframe.StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionSM asm = (no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionSM) curfsm;
        if(state == idle) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.terminalclientlogon.LogonReq) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.lookupUAaddress((no.ntnu.item.serviceframe.signals.terminalclientlogon.LogonReq) signal, asm);
                performExit(curfsm);
                nextState(waitForUserAgentId, curfsm);
            } else if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.StartPlayingMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.getKnownRoles((se.ericsson.eto.norarc.ejbactorframe.messages.StartPlayingMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.knownroles.KnownRolesResultMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.saveKnownRoles((no.ntnu.item.serviceframe.signals.knownroles.KnownRolesResultMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        } else if(state == waitForUserAgentId) {
            if(signal instanceof messages.LookUpActorResultMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.saveLookupResult((messages.LookUpActorResultMsg) signal, asm);
                if(TerminalClientSessionActions.lookupResultValid((messages.LookUpActorResultMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.requestUCStoUA((messages.LookUpActorResultMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitForUserTerminalSession, curfsm);
                } else if(TerminalClientSessionActions.lookupResultNotValid((messages.LookUpActorResultMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendLogonErrUnknownUser((messages.LookUpActorResultMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            }
        } else if(state == waitForUserTerminalSession) {
            if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.RoleConfirmMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.requestAuthenticationToUA((se.ericsson.eto.norarc.ejbactorframe.messages.RoleConfirmMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForUserAgentAuthentication, curfsm);
            }
        } else if(state == waitForUserAgentAuthentication) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationValid) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendLogonRes((no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationValid) signal, asm);
                performExit(curfsm);
                nextState(authenticated, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationInvalid) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendLogonErr((no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationInvalid) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        } else if(state == authenticated) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.terminalclientlogout.LogoutReq) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendLogOutToUA((no.ntnu.item.serviceframe.signals.terminalclientlogout.LogoutReq) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.handshake.HelloMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.forwardHelloToUCS((no.ntnu.item.serviceframe.signals.handshake.HelloMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForLogonHandshake, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.saveSSR((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm);
                if(TerminalClientSessionActions.SSRvalid((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.forwardSSR((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitServiceConfirm, curfsm);
                } else if(TerminalClientSessionActions.SSRnotValid((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.replyWithSSD((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm);
                    performExit(curfsm);
                    nextState(authenticated, curfsm);
                }
            }
        } else if(state == waitForLogonHandshake) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.handshake.HelloHelloMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.forwardHelloHello((no.ntnu.item.serviceframe.signals.handshake.HelloHelloMsg) signal, asm);
                performExit(curfsm);
                nextState(authenticated, curfsm);
            }
        } else if(state == waitServiceConfirm) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.saveSSC((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg) signal, asm);
                if(TerminalClientSessionActions.SSCvalid((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.createRequestedServiceRole((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg) signal, asm);
                    performExit(curfsm);
                    nextState(waitForTerminalService, curfsm);
                } else if(TerminalClientSessionActions.SSCnotValid((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendSSDToTerminal(asm);
                    performExit(curfsm);
                    nextState(authenticated, curfsm);
                }
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionDeniedMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.forwardSSD((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionDeniedMsg) signal, asm);
                performExit(curfsm);
                nextState(authenticated, curfsm);
            }
        } else if(state == waitForTerminalService) {
            if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.RoleConfirmMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.createRequestedServiceSessionRole((se.ericsson.eto.norarc.ejbactorframe.messages.RoleConfirmMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForTerminalServiceSession, curfsm);
            }
        } else if(state == waitForTerminalServiceSession) {
            if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.RoleConfirmMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendInitToCreatedSessionRole((se.ericsson.eto.norarc.ejbactorframe.messages.RoleConfirmMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForInitConf, curfsm);
            } else if(signal instanceof se.ericsson.eto.norarc.ejbactorframe.messages.RoleDeniedMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendInitToCreatedServiceRole((se.ericsson.eto.norarc.ejbactorframe.messages.RoleDeniedMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForInitConf, curfsm);
            }
        } else if(state == waitForInitConf) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.init.InitConfMsg) {
                no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession.TerminalClientSessionActions.sendSSCToTerminal((no.ntnu.item.serviceframe.signals.init.InitConfMsg) signal, asm);
                performExit(curfsm);
                nextState(authenticated, curfsm);
            }
        }
    }
}
