package no.ntnu.item.serviceframe.actors.useragent.userterminalsession;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as UserTerminalSession defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class UserTerminalSessionBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getTerminalClientSessionRef() ;
public abstract void setTerminalClientSessionRef(se.ericsson.eto.norarc.ejbframe.ActorAddress terminalClientSessionRef) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getServiceRoleRequestor() ;
public abstract void setServiceRoleRequestor(se.ericsson.eto.norarc.ejbframe.ActorAddress serviceRoleRequestor) ;

public abstract no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg getSavedServiceSessionReqMsg() ;
public abstract void setSavedServiceSessionReqMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedServiceSessionReqMsg) ;

public abstract no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg getSavedServiceSessionConfMsg() ;
public abstract void setSavedServiceSessionConfMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedServiceSessionConfMsg) ;

public abstract java.util.Hashtable getKnownRoles() ;
public abstract void setKnownRoles(java.util.Hashtable knownRoles) ;

public abstract no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg getSavedRemoteServiceSessionReqMsg() ;
public abstract void setSavedRemoteServiceSessionReqMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedRemoteServiceSessionReqMsg) ;

public abstract no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg getSavedRemoteServiceSessionConfMsg() ;
public abstract void setSavedRemoteServiceSessionConfMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedRemoteServiceSessionConfMsg) ;

public abstract no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationReq getSavedAuthReq() ;
public abstract void setSavedAuthReq(no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationReq savedAuthReq) ;

public abstract no.ntnu.item.serviceframe.auxiliar.agentprofile.UserProfile getUserProfile() ;
public abstract void setUserProfile(no.ntnu.item.serviceframe.auxiliar.agentprofile.UserProfile userProfile) ;

public abstract java.util.Hashtable getSessionDescriptions() ;
public abstract void setSessionDescriptions(java.util.Hashtable sessionDescriptions) ;

public abstract java.lang.String getRoleIntendedToBePlayed() ;
public abstract void setRoleIntendedToBePlayed(java.lang.String roleIntendedToBePlayed) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
