package no.ntnu.item.serviceframe.actors.policymanagement.policystore;

import se.ericsson.eto.norarc.ejbframe.State;
import se.ericsson.eto.norarc.ejbframe.StateMachine;
import se.ericsson.eto.norarc.ejbactorframe.ActorCS;
import se.ericsson.eto.norarc.ejbframe.messages.ActorMsg;

public class PolicyStoreCS extends ActorCS {



    public PolicyStoreCS() {
        super();
    }


    public void execTrans(ActorMsg signal, State state, StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreSM asm = (no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreSM) curfsm;
        if(state == idle) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnRROk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnUnsRBOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnNonAGOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertRBOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertCollaborationOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getarraylist.OnUnsRBArrayListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendOnUnsRBArrayListReply((no.ntnu.item.serviceframe.signals.getarraylist.OnUnsRBArrayListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getarraylist.OnRRArrayListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendOnRRArrayListReply((no.ntnu.item.serviceframe.signals.getarraylist.OnRRArrayListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getarraylist.OnNonAGArrayListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendOnNonAGArrayListReply((no.ntnu.item.serviceframe.signals.getarraylist.OnNonAGArrayListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getarraylist.CollaborationArrayListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendCollaborationArrayListReply((no.ntnu.item.serviceframe.signals.getarraylist.CollaborationArrayListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getarraylist.RoleBindingArrayListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendRoleBindingArrayListReply((no.ntnu.item.serviceframe.signals.getarraylist.RoleBindingArrayListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendPolicies((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        }
    }
}
