package no.ntnu.item.serviceframe.actors.policymanagement.policystore;

import java.lang.String;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import java.util.Hashtable;

import no.ntnu.item.serviceframe.auxiliar.policyobjects.PolicyObjectsStoringFacility;

public class PolicyStoreSM extends ActorSM {


    public Hashtable OnRoleRequestHashtable;
    public Hashtable OnNonAGHashtable;
    public Hashtable OnUnsRBHashtable;
    public Hashtable RoleBindingHashtable;
    public Hashtable CollaborationHashtable;
    public String username;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        this.username = this.context.getParentAddress().getActorID().substring(this.context.getParentAddress().getActorID().lastIndexOf('/') + 1);
    	
    	OnRoleRequestHashtable = PolicyObjectsStoringFacility.readPolicyObjectsFromDisk("OnRoleRequest", username);
    	if (OnRoleRequestHashtable==null) {
    		OnRoleRequestHashtable = new Hashtable();
    		PolicyObjectsStoringFacility.savePolicyObjectsToDisk("OnRoleRequest", username, OnRoleRequestHashtable);
    	}

    	OnNonAGHashtable = PolicyObjectsStoringFacility.readPolicyObjectsFromDisk("OnNonAchievedRoleGoal", username);
    	if (OnNonAGHashtable==null) {
    		OnNonAGHashtable = new Hashtable();
       		PolicyObjectsStoringFacility.savePolicyObjectsToDisk("OnNonAchievedRoleGoal", username, OnNonAGHashtable);
    	}

    	OnUnsRBHashtable = PolicyObjectsStoringFacility.readPolicyObjectsFromDisk("OnUnsuccessfulRoleBinding", username);
    	if (OnUnsRBHashtable==null) {
    		OnUnsRBHashtable = new Hashtable();
       		PolicyObjectsStoringFacility.savePolicyObjectsToDisk("OnUnsuccessfulRoleBinding", username, OnUnsRBHashtable);
    	}

    	RoleBindingHashtable = PolicyObjectsStoringFacility.readPolicyObjectsFromDisk("RoleBinding", username);
    	if (RoleBindingHashtable==null) {
    		RoleBindingHashtable = new Hashtable();
       		PolicyObjectsStoringFacility.savePolicyObjectsToDisk("RoleBinding", username, RoleBindingHashtable);
    	}

    	CollaborationHashtable = PolicyObjectsStoringFacility.readPolicyObjectsFromDisk("Collaboration", username);
    	if (CollaborationHashtable==null) {
    		CollaborationHashtable = new Hashtable();
       		PolicyObjectsStoringFacility.savePolicyObjectsToDisk("Collaboration", username, CollaborationHashtable);
    	}
    }
}
