package no.ntnu.item.serviceframe.actors.profileeditor.profileeditor;

import java.util.ArrayList;

import no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;

public class ProfileEditorSM extends ActorSM {


    public ArrayList subscribedActors;
    public AgentProfile profile;
    public String profileID;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        subscribedActors = new ArrayList();
    	profileID = this.context.getParentAddress().getActorID().substring(this.context.getParentAddress().getActorID().lastIndexOf('/') + 1);
    	//We assume that a profile with the right <profileID> already
    	//exists on the disk
    	//There should be implemented some mechanism to create a profile 
    	profile = profile.readFromDisk(profileID);
    	if (profile==null) {
    		profile=new AgentProfile();
    	}
    }
}
