package no.ntnu.item.serviceframe.actors.useragent.userterminalsession;

import no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg;
import no.ntnu.item.serviceframe.auxiliar.agentprofile.UserProfile;
import se.ericsson.eto.norarc.ejbframe.ActorAddress;
import no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationReq;
import java.util.Hashtable;

public class UserTerminalSessionSM extends ActorSM {


    public ActorAddress terminalClientSessionRef;
    public ActorAddress serviceRoleRequestor;
    public ServiceSessionReqMsg savedServiceSessionReqMsg;
    public ServiceSessionConfMsg savedServiceSessionConfMsg;
    public Hashtable knownRoles;
    public ServiceSessionReqMsg savedRemoteServiceSessionReqMsg;
    public ServiceSessionConfMsg savedRemoteServiceSessionConfMsg;
    public UserAuthenticationReq savedAuthReq;
    public UserProfile userProfile;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        /*        serviceList = new ArrayList();        
        serviceList.add(new ServiceDescription("MalabarMP",
        		"<html>" +
        		"<body>" +
        		"<h1>Malabar Meeting Place</h1>" +
        		"<p>The Malabar Meeting Place is a collection of meetingplaces for students and employees of NTNU.</p>" +
        		"<p><b>Instructions:</b> Click MalabarMP and then Connect to request this service.</p>" +
        		"</body>" +
        		"</html>"));
        serviceList.add(new ServiceDescription("NTNUMPs",
        		"<html>" +
        		"<body>" +
        		"<h1>NTNU Meeting-Places</h1>" +
        		"<p>NTNU Meeting-Places is a collection of meetingplaces for students and employees of NTNU.</p>" +
        		"<p><b>Instructions:</b> Click NTNUMP and then Connect to request this service.</p>" +
        		"</body>" +
        		"</html>"));
        serviceList.add(new ServiceDescription("IM",
        		"<html>" +
        		"<body>" +
        		"<h1>Instant Messaging</h1>" +
        		"<p>The instant messaging service lets you connect directly to your friends.</p>" +
        		"<p><b>Instructions:</b> Click IM and then Connect to request this service.</p>" +
        		"</body>" +
        		"</html>"));
        
        serviceList.add(new no.ntnu.item.serviceframe.auxiliar.servicedescription.ServiceDescription("PolicyEditor",
        		"<html>" +
        		"<body>" +
        		"<h1>PolicyEditor</h1>" +
        		"<p>The PolicyEditor service allows to add and remove policies from the PolicyStore.</p>" +
        		"<p><b>Instructions:</b> Click on Connect to request this service.</p>" +
        		"</body>" +
        		"</html>"));
*/        
        knownRoles = new Hashtable();
        //knownRoles.put("PolicyEditor.UserAgent", "PolicyEditor");

        
        //knownRoles.put("MalabarMP.UserAgent", "UserMalabarMP");
        //knownRoles.put("MalabarMP.TerminalAgent", "TerminalMalabarMP");
        //knownRoles.put("PolicyEditor.TerminalAgent", "TerminalPolicyEditor");

        /*      knownRoles.put("NTNUMPs.UserAgent", "UserNTNUMPs");
        knownRoles.put("NTNUMPs.TerminalAgent", "TerminalNTNUMPs");
        knownRoles.put("IM.UserAgent", "UserIM");
*/      


        //initialize temporary variables        
        serviceRoleRequestor = null;
        savedServiceSessionReqMsg = null;
        savedServiceSessionConfMsg = null;         
        terminalClientSessionRef = null;
        savedRemoteServiceSessionReqMsg = null;
        savedRemoteServiceSessionConfMsg = null;
    }
}
