package no.ntnu.item.contextengine.sensors.locationsensor.locationsensor;

import no.ntnu.item.contextengine.controller.ContextReasoner;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import no.ntnu.item.contextengine.sensors.timesensor.TimeReminder;
import se.ericsson.eto.norarc.ejbframe.ActorAddress;

public class LocationSensorSM extends ActorSM {


    public ActorAddress myLocationFeatureAddress;
    public ContextReasoner myContextReasoner;
    public TimeReminder myTimer;
    public int hourInterval;
    public int minuteInterval;
    public int secondInterval;
    public ActorAddress myContextEngine;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
    	String myAddress = this.context.getActorAddress().toString();
    	int index = myAddress.indexOf("@");
    	String path = myAddress.substring(1, index);
        this.myLocationFeatureAddress = new ActorAddress(path + "/myLocationFeature", "NRGLocationFeature");
        this.myContextEngine = this.context.getParentAddress();
    }
}
