package no.ntnu.item.contextengine.sensors.locationsensor.util;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class Configuration {

	public static final Configuration INSTANCE = new Configuration();
	private Properties props = null;
	
	
	private Configuration () {}
	
	public void loadConfiguration (String sourceFile) {
		try {
			this.props = new Properties();
			props.load(new FileInputStream(sourceFile));
		}
		catch (FileNotFoundException fe) {
			fe.printStackTrace();
		}
		catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public Properties getProperties () {
		return this.props;
	}
	

}
