/**
 * Implements a physical location.
 */
package no.ntnu.item.contextengine.sensors.locationsensor.util;

/**
 * @author Hkon Vestmoen
 *
 */
public class LocationValueObject {
	
	private float longitude;
	private float latitude;
	private float altitude;
	private float velocity;
	private float direction;
	private float acceleration;

	/**
	 * Default constructor
	 * 
	 */
	public LocationValueObject(float latitude, float longitude) {
		this.longitude = longitude;
		this.latitude = latitude;
	}
	
	public float getLongitude () {
		return longitude;
	}
	
	public void setLongitude (float longitude) {
		this.longitude = longitude;
	}
	
	public float getLatitude () {
		return latitude;
	}
	
	public void setLatitude (float latitude) {
		this.latitude = latitude;
	}
	
	public float getAltitude () {
		return altitude;
	}
	
	public void setAltitude (float altitude) {
		this.altitude = altitude;
	}
	
	public float getVelocity () {
		return velocity;
	}
	
	public void setVelocity (float velocity) {
		this.velocity = velocity;
	}
	
	public float getDirection () {
		return direction;
	}
	
	public void setDirection (float direction) {
		this.direction = direction;
	}
	
	public float getAcceleration () {
		return acceleration;
	}
	
	public void setAcceleration (float acceleration) {
		this.acceleration = acceleration;
	}

}
