package no.ntnu.item.cbcc.cbccuseragent.callcontroller;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/**
 * This class is an inherits from ActorBean and also from EntityBean. The class
 * should be abstract, and it must "implement", that is, have exactly the same
 * methods as CallController defines, except these methods should not throw
 * RemoteException.
 */
public abstract class CallControllerBean extends
		se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {

	public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyPolicyEditor();

	public abstract void setMyPolicyEditor(
			se.ericsson.eto.norarc.ejbframe.ActorAddress myPolicyEditor);

	public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyPolicyManager();

	public abstract void setMyPolicyManager(
			se.ericsson.eto.norarc.ejbframe.ActorAddress myPolicyManager);

	public abstract java.util.PropertyResourceBundle getMyPolicyProperties();

	public abstract void setMyPolicyProperties(
			java.util.PropertyResourceBundle myPolicyProperties);

	public abstract java.io.FileInputStream getMyFileInputStream();

	public abstract void setMyFileInputStream(
			java.io.FileInputStream myFileInputStream);

	public abstract java.io.File getMyFile();

	public abstract void setMyFile(java.io.File myFile);

	public abstract java.util.Hashtable getMyHashTable();

	public abstract void setMyHashTable(java.util.Hashtable myHashTable);

	public abstract java.io.FileNotFoundException getMyFNFException();

	public abstract void setMyFNFException(
			java.io.FileNotFoundException myFNFException);

	public abstract java.io.IOException getIoe();

	public abstract void setIoe(java.io.IOException ioe);

	public abstract no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg getMyAoRRPmsg();

	public abstract void setMyAoRRPmsg(
			no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg myAoRRPmsg);

	public abstract no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node getMyCondition();

	public abstract void setMyCondition(
			no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node myCondition);

	public abstract no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser getMyConditionParser();

	public abstract void setMyConditionParser(
			no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser myConditionParser);

	public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyCallControlFeature();

	public abstract void setMyCallControlFeature(
			se.ericsson.eto.norarc.ejbframe.ActorAddress myCallControlFeature);

	public abstract java.util.ArrayList getFamilyCallers();

	public abstract void setFamilyCallers(java.util.ArrayList familyCallers);

	public abstract java.util.ArrayList getWorkCallers();

	public abstract void setWorkCallers(java.util.ArrayList workCallers);

	public abstract java.lang.String getSecretary();

	public abstract void setSecretary(java.lang.String secretary);

	public abstract java.lang.String getCellPhone();

	public abstract void setCellPhone(java.lang.String cellPhone);

	public abstract java.lang.String getDeskPhone();

	public abstract void setDeskPhone(java.lang.String deskPhone);

	public abstract java.lang.String getVoicemail();

	public abstract void setVoicemail(java.lang.String voicemail);

	public abstract java.lang.String getCurrentCaller();

	public abstract void setCurrentCaller(java.lang.String currentCaller);

	public abstract java.util.StringTokenizer getTokenizer();

	public abstract void setTokenizer(java.util.StringTokenizer tokenizer);

	public abstract java.lang.String getCurrentCallee();

	public abstract void setCurrentCallee(java.lang.String currentCallee);

	/**
	 * EJBActorFrame - not used by application
	 */
	public String ejbCreate(String myId, String stateId)
			throws javax.ejb.CreateException {
		return super.ejbCreate(myId, stateId);
	}

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract String getMyActorId();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setMyActorId(String str);

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract ActorContext getContext();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setContext(ActorContext str);

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract String getCurrentStateId();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setCurrentStateId(String str);

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract MailBox getSaveQueue();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setSaveQueue(MailBox str);

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract int getTraceCategories();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setTraceCategories(int str);

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract int getTraceLev();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setTraceLev(int str);

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract Hashtable getActiveTimers();

	/**
	 * EJBActorFrame - not used by application
	 */
	public abstract void setActiveTimers(Hashtable str);
}
