package no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.sim;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.EJBObject;
import javax.ejb.Handle;
import javax.ejb.RemoveException;

import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;
import no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeature;
import no.ntnu.item.contextengine.sensors.locationsensor.locationfetcher.nrglocationfeature.NRGLocationFeatureBean;



/**
 * This class is necessary for simulation to work. Simply copy and paste the
 * class for it to work. All you need to change is name of the class and what it
 * extends and implements. The class should extend your actorbean (in the example
 * NRGLocationFeatureBean), and it should implement your Actor interface (in this example NRGLocationFeature).
 * 
 * Since the class implements the NRGLocationFeature interface, all business methods of the 
 * interface must be implemented here as well.
 * 
 * The class overrides the EJB specific methods of your Actor, enabling simulation
 * outside an EJB container.
 */
public class SimNRGLocationFeatureBean extends NRGLocationFeatureBean implements NRGLocationFeature {

	/*
	 * Implement local data and abstract methods from Bean classes
	 */

    /** Local persistent data for the actor */
    

public no.ntnu.item.contextengine.sensors.locationsensor.util.Configuration conf;

public com.ericsson.hosasdk.utility.framework.FWproxy fwproxy;

public com.ericsson.hosasdk.api.HOSAMonitor hosaMonitor;

public com.ericsson.hosasdk.api.mm.ul.IpUserLocation locationManager;

public no.ntnu.item.contextengine.sensors.locationsensor.util.NRGLocationProcessor locationProcessor;

public no.ntnu.item.contextengine.sensors.locationsensor.util.Logger logger;

public java.io.FileNotFoundException myFNFException;

public java.io.FileInputStream myFileStream;

public java.io.IOException myIOException;

public se.ericsson.eto.norarc.ejbframe.ActorAddress myParent;

public java.util.PropertyResourceBundle myResources;

public java.util.Properties props;
  	


public no.ntnu.item.contextengine.sensors.locationsensor.util.Configuration getConf(){
	return conf;
}

public void setConf(no.ntnu.item.contextengine.sensors.locationsensor.util.Configuration conf){
	this.conf = conf;
}

public com.ericsson.hosasdk.utility.framework.FWproxy getFwproxy(){
	return fwproxy;
}

public void setFwproxy(com.ericsson.hosasdk.utility.framework.FWproxy fwproxy){
	this.fwproxy = fwproxy;
}

public com.ericsson.hosasdk.api.HOSAMonitor getHosaMonitor(){
	return hosaMonitor;
}

public void setHosaMonitor(com.ericsson.hosasdk.api.HOSAMonitor hosaMonitor){
	this.hosaMonitor = hosaMonitor;
}

public com.ericsson.hosasdk.api.mm.ul.IpUserLocation getLocationManager(){
	return locationManager;
}

public void setLocationManager(com.ericsson.hosasdk.api.mm.ul.IpUserLocation locationManager){
	this.locationManager = locationManager;
}

public no.ntnu.item.contextengine.sensors.locationsensor.util.NRGLocationProcessor getLocationProcessor(){
	return locationProcessor;
}

public void setLocationProcessor(no.ntnu.item.contextengine.sensors.locationsensor.util.NRGLocationProcessor locationProcessor){
	this.locationProcessor = locationProcessor;
}

public no.ntnu.item.contextengine.sensors.locationsensor.util.Logger getLogger(){
	return logger;
}

public void setLogger(no.ntnu.item.contextengine.sensors.locationsensor.util.Logger logger){
	this.logger = logger;
}

public java.io.FileNotFoundException getMyFNFException(){
	return myFNFException;
}

public void setMyFNFException(java.io.FileNotFoundException myFNFException){
	this.myFNFException = myFNFException;
}

public java.io.FileInputStream getMyFileStream(){
	return myFileStream;
}

public void setMyFileStream(java.io.FileInputStream myFileStream){
	this.myFileStream = myFileStream;
}

public java.io.IOException getMyIOException(){
	return myIOException;
}

public void setMyIOException(java.io.IOException myIOException){
	this.myIOException = myIOException;
}

public se.ericsson.eto.norarc.ejbframe.ActorAddress getMyParent(){
	return myParent;
}

public void setMyParent(se.ericsson.eto.norarc.ejbframe.ActorAddress myParent){
	this.myParent = myParent;
}

public java.util.PropertyResourceBundle getMyResources(){
	return myResources;
}

public void setMyResources(java.util.PropertyResourceBundle myResources){
	this.myResources = myResources;
}

public java.util.Properties getProps(){
	return props;
}

public void setProps(java.util.Properties props){
	this.props = props;
}
  	
  	
	// The rest of the class is a pattern for ActorBean simulation. Do not edit

  /** EJBActorFramework simulation - not used by application */
  public ActorContext context;
  /** EJBActorFramework simulation - not used by application */
	public String currentStateId;
  /** EJBActorFramework simulation - not used by application */
	public MailBox saveQueue;
  /** EJBActorFramework simulation - not used by application */
	public int traceCategories;
  /** EJBActorFramework simulation - not used by application */
	public int traceLev;
  /** EJBActorFramework simulation - not used by application */
	public String myActorId;
  /** EJBActorFramework simulation - not used by application */
	public Hashtable activeTimers;

  /** EJBActorFramework simulation - not used by application */
	public SimNRGLocationFeatureBean(String currentStateId, String myActorId) {
		this.currentStateId = currentStateId;
		this.myActorId = myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
  public ActorContext getContext() {
		return context;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setContext(ActorContext context) {
		this.context = context;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getMyActorId() {
		return myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setMyActorId(String myId) {
		this.myActorId = myId;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getCurrentStateId() {
		return currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setCurrentStateId(String currentStateId) {
		this.currentStateId = currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public MailBox getSaveQueue() {
		return saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setSaveQueue(MailBox saveQueue) {
		this.saveQueue = saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceCategories() {
		return traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceCategories(int traceCategories) {
		this.traceCategories = traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceLev() {
		return traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceLev(int traceLev) {
		this.traceLev = traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
  public Hashtable getActiveTimers() {
    return this.activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
  public void setActiveTimers(Hashtable activeTimers) {
    this.activeTimers = activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
	public String ejbCreate(String myId, String stateId)
		throws CreateException {
		setMyActorId(myId);
		setCurrentStateId(stateId);
		//        setSaveQueue(null);
		return null;
	}

	//Dummy methods for EJB interfacing

  /** EJB simulation - not used by application */
	public EJBHome getEJBHome() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public Object getPrimaryKey() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public void remove() throws RemoteException, RemoveException {}

  /** EJB simulation - not used by application */
	public Handle getHandle() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public boolean isIdentical(EJBObject ejbObject) throws RemoteException {
		return false;
	}

}
 
 