package no.ntnu.item.mam.actors.ccnrgedgeactors.nrgcallcontrolfeature;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as NRGCallControlFeature defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class NRGCallControlFeatureBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract no.ntnu.item.mam.utility.actors.nrg.NRGCCProcessor getNrgMPCCProcessor() ;
public abstract void setNrgMPCCProcessor(no.ntnu.item.mam.utility.actors.nrg.NRGCCProcessor nrgMPCCProcessor) ;

public abstract com.ericsson.hosasdk.api.cc.mpccs.IpMultiPartyCallControlManager getMpccManager() ;
public abstract void setMpccManager(com.ericsson.hosasdk.api.cc.mpccs.IpMultiPartyCallControlManager mpccManager) ;

public abstract java.util.HashMap getNotificationIDs() ;
public abstract void setNotificationIDs(java.util.HashMap notificationIDs) ;

public abstract com.ericsson.hosasdk.utility.framework.FWproxy getFwProxy() ;
public abstract void setFwProxy(com.ericsson.hosasdk.utility.framework.FWproxy fwProxy) ;

public abstract no.ntnu.item.mam.utility.log.Logger getLogger() ;
public abstract void setLogger(no.ntnu.item.mam.utility.log.Logger logger) ;

public abstract java.util.HashMap getCallInfo() ;
public abstract void setCallInfo(java.util.HashMap callInfo) ;

public abstract com.ericsson.hosasdk.api.HOSAMonitor getHosaMonitor() ;
public abstract void setHosaMonitor(com.ericsson.hosasdk.api.HOSAMonitor hosaMonitor) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyMamCallController() ;
public abstract void setMyMamCallController(se.ericsson.eto.norarc.ejbframe.ActorAddress myMamCallController) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
