package no.ntnu.item.serviceframe.actors.policymanagement.policyeditor;


public class PolicyEditorCS extends se.ericsson.eto.norarc.ejbactorframe.ActorCS {



    public PolicyEditorCS() {
        super();
    }


    public void execTrans(se.ericsson.eto.norarc.ejbframe.messages.ActorMsg signal, se.ericsson.eto.norarc.ejbframe.State state, se.ericsson.eto.norarc.ejbframe.StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorSM asm = (no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorSM) curfsm;
        if(state == idle) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddOnRRPolicy((no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnNonAGPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddOnNon((no.ntnu.item.serviceframe.signals.addpolicy.AddOnNonAGPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnUnsRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddOnUns((no.ntnu.item.serviceframe.signals.addpolicy.AddOnUnsRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddCollaborationPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddRuntime((no.ntnu.item.serviceframe.signals.addpolicy.AddCollaborationPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddInv((no.ntnu.item.serviceframe.signals.addpolicy.AddRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddPolicyOk((no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.sendSSC((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.handshake.HelloMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.sendHelloHello((no.ntnu.item.serviceframe.signals.handshake.HelloMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardGetPoliciesReq((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardGetPoliciesReply((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReplyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardDeletePolicyReq((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyOKMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardDeletePolicyOK((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyOKMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyNOKMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardDeletePolicyNOK((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyNOKMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyNOKMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddPolicyNOK((no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyNOKMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        }
    }
}
