package no.ntnu.item.serviceframe.actors.policymanagement.policymanager;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as PolicyManager defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class PolicyManagerBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract java.lang.String getCurrentSubjectRole() ;
public abstract void setCurrentSubjectRole(java.lang.String currentSubjectRole) ;

public abstract no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg getSavedRoleBindingArrayListMsg() ;
public abstract void setSavedRoleBindingArrayListMsg(no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReplyMsg savedRoleBindingArrayListMsg) ;

public abstract no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg getSavedOnUnsRBPolicyListReplyMsg() ;
public abstract void setSavedOnUnsRBPolicyListReplyMsg(no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReplyMsg savedOnUnsRBPolicyListReplyMsg) ;

public abstract java.util.ArrayList getAltRoleAndParameters() ;
public abstract void setAltRoleAndParameters(java.util.ArrayList altRoleAndParameters) ;

public abstract no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node getRoleBindingResult() ;
public abstract void setRoleBindingResult(no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node roleBindingResult) ;

public abstract no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser getPolicyConditionParser() ;
public abstract void setPolicyConditionParser(no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser policyConditionParser) ;

public abstract no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg getSavedPolicyCheckOnRRReqMsg() ;
public abstract void setSavedPolicyCheckOnRRReqMsg(no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg savedPolicyCheckOnRRReqMsg) ;

public abstract no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg getSavedPolicyCheckOnGnotAReqMsg() ;
public abstract void setSavedPolicyCheckOnGnotAReqMsg(no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg savedPolicyCheckOnGnotAReqMsg) ;

public abstract no.ntnu.item.serviceframe.auxiliar.sessiondescription.SessionDescription getCurrentSessionDescription() ;
public abstract void setCurrentSessionDescription(no.ntnu.item.serviceframe.auxiliar.sessiondescription.SessionDescription currentSessionDescription) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getCheckRequestor() ;
public abstract void setCheckRequestor(se.ericsson.eto.norarc.ejbframe.ActorAddress checkRequestor) ;

public abstract no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile getAgentProfile() ;
public abstract void setAgentProfile(no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile agentProfile) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
