package no.ntnu.item.serviceframe.actors.policymanagement.policystore;


public class PolicyStoreCS extends se.ericsson.eto.norarc.ejbactorframe.ActorCS {



    public PolicyStoreCS() {
        super();
    }


    public void execTrans(se.ericsson.eto.norarc.ejbframe.messages.ActorMsg signal, se.ericsson.eto.norarc.ejbframe.State state, se.ericsson.eto.norarc.ejbframe.StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreSM asm = (no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreSM) curfsm;
        if(state == idle) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) {
                if(PolicyStoreActions.policyIDNOKForOnRR((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnRRNOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyStoreActions.policyIDOKForOnRR((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnRROk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnRRPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) {
                if(PolicyStoreActions.policyIDNOKForOnNonAG((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnNonAGNOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyStoreActions.policyIDOKForOnNonAG((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnNonAGOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnNonAGPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) {
                if(PolicyStoreActions.policyIDNOKForRB((no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertRBNOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyStoreActions.policyIDOKForRB((no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertRBOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.RoleBindingPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) {
                if(PolicyStoreActions.policyIDNOKForCollab((no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertCollaborationNOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyStoreActions.policyIDOKForCollab((no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertCollaborationOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.CollaborationPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendOnUnsRBArrayListReply((no.ntnu.item.serviceframe.signals.getpolicylist.OnUnsRBPolicyListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.OnRRPolicyListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendOnRRArrayListReply((no.ntnu.item.serviceframe.signals.getpolicylist.OnRRPolicyListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.OnNonAGPolicyListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendOnNonAGArrayListReply((no.ntnu.item.serviceframe.signals.getpolicylist.OnNonAGPolicyListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendCollaborationArrayListReply((no.ntnu.item.serviceframe.signals.getpolicylist.CollaborationPolicyListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendRoleBindingArrayListReply((no.ntnu.item.serviceframe.signals.getpolicylist.RoleBindingPolicyListReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendPolicies((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) {
                if(PolicyStoreActions.policyIDOKForOnURB((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnUnsRBOk((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyStoreActions.policyIDNOKForOnURB((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendInsertOnUnsRBNOK((no.ntnu.item.serviceframe.signals.insertpolicyobject.OnUnsRBPolicyMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.processDeletePolicyReq((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) signal, asm);
                if(PolicyStoreActions.deletePolicyReqNOK((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendDeletePolicyNOK((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                } else if(PolicyStoreActions.deletePolicyOK((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) signal, asm)) {
                    no.ntnu.item.serviceframe.actors.policymanagement.policystore.PolicyStoreActions.sendDeletePolicyOK((no.ntnu.item.serviceframe.signals.deletepolicy.DeletePolicyReqMsg) signal, asm);
                    performExit(curfsm);
                    nextState(idle, curfsm);
                }
            }
        }
    }
}
