package no.ntnu.item.serviceframe.actors.profileeditor.profileeditor;

import se.ericsson.eto.norarc.ejbframe.ActorAddress;
import no.ntnu.item.serviceframe.signals.agentprofile.ProfileLoadRequestMsg;
import no.ntnu.item.serviceframe.signals.agentprofile.ProfileMsg;
import no.ntnu.item.serviceframe.signals.agentprofile.ProfileUpdateMsg;


public class ProfileEditorActions extends Object {

	public static void sendProfile(ProfileLoadRequestMsg signal, ProfileEditorSM asm){
	    if (signal.subscribeTo == true) {
	    	asm.subscribedActors.add(signal.getSenderRole());
	    }
	    
	    asm.sendMessage(new ProfileMsg(asm.profile), signal.getSenderRole());	
	}

	public static void updateAndDistributeProfile(ProfileUpdateMsg signal, ProfileEditorSM asm){
	    asm.profile = signal.profile;
	    asm.profile.saveToDisk(asm.profileID);
	    //Every time there is a change in the profile, the subscribed actors are informed
	    if (asm.subscribedActors!=null) 
	    	for (int i=0; i<asm.subscribedActors.size(); i++)
	    		asm.sendMessage(new ProfileMsg(asm.profile), (ActorAddress)asm.subscribedActors.get(i));
	}



}
