package no.ntnu.item.serviceframe.actors.terminalagent.terminalclientsession;

import java.util.Hashtable;

import javax.ejb.EntityBean;

import se.ericsson.eto.norarc.ejbactorframe.ActorBean;
import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;

/** 
 * This class is an inherits from ActorBean and also from EntityBean.
 * The class should be abstract, and it must "implement", that is, have 
 * exactly the same methods as TerminalClientSession defines, except these methods should
 * not throw RemoteException. 
 */
public abstract class TerminalClientSessionBean extends se.ericsson.eto.norarc.ejbactorframe.ActorBean implements EntityBean {


	

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getMyTerminal() ;
public abstract void setMyTerminal(se.ericsson.eto.norarc.ejbframe.ActorAddress myTerminal) ;

public abstract java.lang.String getUsername() ;
public abstract void setUsername(java.lang.String username) ;

public abstract java.lang.String getPassword() ;
public abstract void setPassword(java.lang.String password) ;

public abstract no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg getSavedServiceSessionReqMsg() ;
public abstract void setSavedServiceSessionReqMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedServiceSessionReqMsg) ;

public abstract no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg getSavedServiceSessionConfMsg() ;
public abstract void setSavedServiceSessionConfMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedServiceSessionConfMsg) ;

public abstract java.lang.String getUserterminalsessionid() ;
public abstract void setUserterminalsessionid(java.lang.String userterminalsessionid) ;

public abstract se.ericsson.eto.norarc.ejbframe.ActorAddress getUserterminalsessionAddress() ;
public abstract void setUserterminalsessionAddress(se.ericsson.eto.norarc.ejbframe.ActorAddress userterminalsessionAddress) ;

public abstract java.util.Hashtable getKnownRoles() ;
public abstract void setKnownRoles(java.util.Hashtable knownRoles) ;

public abstract java.lang.String getRoleToPlay() ;
public abstract void setRoleToPlay(java.lang.String roleToPlay) ;



   /**
   * EJBActorFrame - not used by application
    */
    public String ejbCreate(String myId, String stateId) throws javax.ejb.CreateException {
      return super.ejbCreate(myId, stateId);
    }

  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getMyActorId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setMyActorId(String str);

  /**
   * EJBActorFrame - not used by application
   */
    public abstract ActorContext getContext();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setContext(ActorContext str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract String getCurrentStateId();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setCurrentStateId(String str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract MailBox getSaveQueue();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setSaveQueue(MailBox str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceCategories();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceCategories(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract int getTraceLev();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setTraceLev(int str);
  /**
   * EJBActorFrame - not used by application
   */
    public abstract Hashtable getActiveTimers();
  /**
   * EJBActorFrame - not used by application
   */
    public abstract void setActiveTimers(Hashtable str);
}
