package no.ntnu.item.serviceframe.actors.useragent.userterminalsession.sim;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.EJBObject;
import javax.ejb.Handle;
import javax.ejb.RemoveException;

import se.ericsson.eto.norarc.ejbactorframe.ActorContext;
import se.ericsson.eto.norarc.ejbframe.MailBox;
import no.ntnu.item.serviceframe.actors.useragent.userterminalsession.UserTerminalSession;
import no.ntnu.item.serviceframe.actors.useragent.userterminalsession.UserTerminalSessionBean;



/**
 * This class is necessary for simulation to work. Simply copy and paste the
 * class for it to work. All you need to change is name of the class and what it
 * extends and implements. The class should extend your actorbean (in the example
 * UserTerminalSessionBean), and it should implement your Actor interface (in this example UserTerminalSession).
 * 
 * Since the class implements the UserTerminalSession interface, all business methods of the 
 * interface must be implemented here as well.
 * 
 * The class overrides the EJB specific methods of your Actor, enabling simulation
 * outside an EJB container.
 */
public class SimUserTerminalSessionBean extends UserTerminalSessionBean implements UserTerminalSession {

	/*
	 * Implement local data and abstract methods from Bean classes
	 */

    /** Local persistent data for the actor */
    

public se.ericsson.eto.norarc.ejbframe.ActorAddress terminalClientSessionRef;

public se.ericsson.eto.norarc.ejbframe.ActorAddress serviceRoleRequestor;

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedServiceSessionReqMsg;

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedServiceSessionConfMsg;

public java.util.Hashtable knownRoles;

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedRemoteServiceSessionReqMsg;

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedRemoteServiceSessionConfMsg;

public no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationReq savedAuthReq;

public no.ntnu.item.serviceframe.auxiliar.agentprofile.UserProfile userProfile;

public java.util.Hashtable sessionDescriptions;

public java.lang.String roleIntendedToBePlayed;
  	


public se.ericsson.eto.norarc.ejbframe.ActorAddress getTerminalClientSessionRef(){
	return terminalClientSessionRef;
}

public void setTerminalClientSessionRef(se.ericsson.eto.norarc.ejbframe.ActorAddress terminalClientSessionRef){
	this.terminalClientSessionRef = terminalClientSessionRef;
}

public se.ericsson.eto.norarc.ejbframe.ActorAddress getServiceRoleRequestor(){
	return serviceRoleRequestor;
}

public void setServiceRoleRequestor(se.ericsson.eto.norarc.ejbframe.ActorAddress serviceRoleRequestor){
	this.serviceRoleRequestor = serviceRoleRequestor;
}

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg getSavedServiceSessionReqMsg(){
	return savedServiceSessionReqMsg;
}

public void setSavedServiceSessionReqMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedServiceSessionReqMsg){
	this.savedServiceSessionReqMsg = savedServiceSessionReqMsg;
}

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg getSavedServiceSessionConfMsg(){
	return savedServiceSessionConfMsg;
}

public void setSavedServiceSessionConfMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedServiceSessionConfMsg){
	this.savedServiceSessionConfMsg = savedServiceSessionConfMsg;
}

public java.util.Hashtable getKnownRoles(){
	return knownRoles;
}

public void setKnownRoles(java.util.Hashtable knownRoles){
	this.knownRoles = knownRoles;
}

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg getSavedRemoteServiceSessionReqMsg(){
	return savedRemoteServiceSessionReqMsg;
}

public void setSavedRemoteServiceSessionReqMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg savedRemoteServiceSessionReqMsg){
	this.savedRemoteServiceSessionReqMsg = savedRemoteServiceSessionReqMsg;
}

public no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg getSavedRemoteServiceSessionConfMsg(){
	return savedRemoteServiceSessionConfMsg;
}

public void setSavedRemoteServiceSessionConfMsg(no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionConfMsg savedRemoteServiceSessionConfMsg){
	this.savedRemoteServiceSessionConfMsg = savedRemoteServiceSessionConfMsg;
}

public no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationReq getSavedAuthReq(){
	return savedAuthReq;
}

public void setSavedAuthReq(no.ntnu.item.serviceframe.signals.useragentauthentication.UserAuthenticationReq savedAuthReq){
	this.savedAuthReq = savedAuthReq;
}

public no.ntnu.item.serviceframe.auxiliar.agentprofile.UserProfile getUserProfile(){
	return userProfile;
}

public void setUserProfile(no.ntnu.item.serviceframe.auxiliar.agentprofile.UserProfile userProfile){
	this.userProfile = userProfile;
}

public java.util.Hashtable getSessionDescriptions(){
	return sessionDescriptions;
}

public void setSessionDescriptions(java.util.Hashtable sessionDescriptions){
	this.sessionDescriptions = sessionDescriptions;
}

public java.lang.String getRoleIntendedToBePlayed(){
	return roleIntendedToBePlayed;
}

public void setRoleIntendedToBePlayed(java.lang.String roleIntendedToBePlayed){
	this.roleIntendedToBePlayed = roleIntendedToBePlayed;
}
  	
  	
	// The rest of the class is a pattern for ActorBean simulation. Do not edit

  /** EJBActorFramework simulation - not used by application */
  public ActorContext context;
  /** EJBActorFramework simulation - not used by application */
	public String currentStateId;
  /** EJBActorFramework simulation - not used by application */
	public MailBox saveQueue;
  /** EJBActorFramework simulation - not used by application */
	public int traceCategories;
  /** EJBActorFramework simulation - not used by application */
	public int traceLev;
  /** EJBActorFramework simulation - not used by application */
	public String myActorId;
  /** EJBActorFramework simulation - not used by application */
	public Hashtable activeTimers;

  /** EJBActorFramework simulation - not used by application */
	public SimUserTerminalSessionBean(String currentStateId, String myActorId) {
		this.currentStateId = currentStateId;
		this.myActorId = myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
  public ActorContext getContext() {
		return context;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setContext(ActorContext context) {
		this.context = context;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getMyActorId() {
		return myActorId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setMyActorId(String myId) {
		this.myActorId = myId;
	}

  /** EJBActorFramework simulation - not used by application */
	public String getCurrentStateId() {
		return currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setCurrentStateId(String currentStateId) {
		this.currentStateId = currentStateId;
	}

  /** EJBActorFramework simulation - not used by application */
	public MailBox getSaveQueue() {
		return saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setSaveQueue(MailBox saveQueue) {
		this.saveQueue = saveQueue;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceCategories() {
		return traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceCategories(int traceCategories) {
		this.traceCategories = traceCategories;
	}

  /** EJBActorFramework simulation - not used by application */
	public int getTraceLev() {
		return traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
	public void setTraceLev(int traceLev) {
		this.traceLev = traceLev;
	}

  /** EJBActorFramework simulation - not used by application */
  public Hashtable getActiveTimers() {
    return this.activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
  public void setActiveTimers(Hashtable activeTimers) {
    this.activeTimers = activeTimers;
  }

  /** EJBActorFramework simulation - not used by application */
	public String ejbCreate(String myId, String stateId)
		throws CreateException {
		setMyActorId(myId);
		setCurrentStateId(stateId);
		//        setSaveQueue(null);
		return null;
	}

	//Dummy methods for EJB interfacing

  /** EJB simulation - not used by application */
	public EJBHome getEJBHome() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public Object getPrimaryKey() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public void remove() throws RemoteException, RemoveException {}

  /** EJB simulation - not used by application */
	public Handle getHandle() throws RemoteException {
		return null;
	}

  /** EJB simulation - not used by application */
	public boolean isIdentical(EJBObject ejbObject) throws RemoteException {
		return false;
	}

}
 
 