package no.ntnu.item.serviceframe.actors.policymanagement.policyeditor;

import se.ericsson.eto.norarc.ejbframe.State;
import se.ericsson.eto.norarc.ejbframe.StateMachine;
import se.ericsson.eto.norarc.ejbactorframe.ActorCS;
import se.ericsson.eto.norarc.ejbframe.messages.ActorMsg;

public class PolicyEditorCS extends ActorCS {



    public PolicyEditorCS() {
        super();
    }


    public void execTrans(ActorMsg signal, State state, StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorSM asm = (no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorSM) curfsm;
        if(state == idle) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddOnRRPolicy((no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnNonAGPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddOnNon((no.ntnu.item.serviceframe.signals.addpolicy.AddOnNonAGPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnUnsRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddOnUns((no.ntnu.item.serviceframe.signals.addpolicy.AddOnUnsRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddCollaborationPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddRuntime((no.ntnu.item.serviceframe.signals.addpolicy.AddCollaborationPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddInv((no.ntnu.item.serviceframe.signals.addpolicy.AddRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardAddPolicyOk((no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.sendSSC((no.ntnu.item.serviceframe.signals.servicesession.ServiceSessionReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.handshake.HelloMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.sendHelloHello((no.ntnu.item.serviceframe.signals.handshake.HelloMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardGetPoliciesReq((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.policyeditor.PolicyEditorActions.forwardGetPoliciesReply((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReplyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        }
    }
}
