package no.ntnu.item.serviceframe.actors.policymanagement.policymanager;

import java.lang.String;
import no.ntnu.item.serviceframe.auxiliar.agentprofile.AgentProfile;
import no.ntnu.item.serviceframe.auxiliar.sessiondescription.SessionDescription;
import no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnGnotAReqMsg;
import java.util.ArrayList;
import no.ntnu.item.serviceframe.signals.getarraylist.OnUnsRBArrayListReplyMsg;
import se.ericsson.eto.norarc.ejbactorframe.ActorSM;
import no.ntnu.item.serviceframe.signals.policycheck.PolicyCheckOnRRReqMsg;
import no.ntnu.item.serviceframe.auxiliar.policyconditionparser.PolicyConditionParser;
import no.ntnu.item.serviceframe.auxiliar.policyconditionparser.Node;
import se.ericsson.eto.norarc.ejbframe.ActorAddress;
import no.ntnu.item.serviceframe.signals.getarraylist.RoleBindingArrayListReplyMsg;

public class PolicyManagerSM extends ActorSM {


    public String currentSubjectRole;
    public RoleBindingArrayListReplyMsg savedRoleBindingArrayListMsg;
    public OnUnsRBArrayListReplyMsg savedOnUnsRBArrayListReplyMsg;
    public ArrayList altRoleAndParameters;
    public Node roleBindingResult;
    public PolicyConditionParser policyConditionParser;
    public PolicyCheckOnRRReqMsg savedPolicyCheckOnRRReqMsg;
    public PolicyCheckOnGnotAReqMsg savedPolicyCheckOnGnotAReqMsg;
    public SessionDescription currentSessionDescription;
    public ActorAddress checkRequestor;
    public AgentProfile agentProfile;


    /*
     * This method initializes the fields of the state machine.
     * You can edit this method inside the method body.
     * When the method is generated again, your part is copied.
     * Do not add any other methods in this class, they are not copied.
     */
    public void initialize(){
        currentSubjectRole = null;
    	savedRoleBindingArrayListMsg = null;
    	savedOnUnsRBArrayListReplyMsg = null;
    	policyConditionParser = new PolicyConditionParser(new java.io.StringReader(""));
    }
}
