package no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor;

import se.ericsson.eto.norarc.ejbframe.State;
import se.ericsson.eto.norarc.ejbframe.StateMachine;
import se.ericsson.eto.norarc.ejbactorframe.ActorCS;
import se.ericsson.eto.norarc.ejbframe.messages.ActorMsg;

public class TerminalPolicyEditorCS extends ActorCS {


    protected State waitForHelloHello = new se.ericsson.eto.norarc.ejbframe.State("waitForHelloHello", this);

    public TerminalPolicyEditorCS() {
        super();
    }


    public void execTrans(ActorMsg signal, State state, StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorSM asm = (no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorSM) curfsm;
        if(state == idle) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardAddOnRRPolicy((no.ntnu.item.serviceframe.signals.addpolicy.AddOnRRPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnNonAGPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardAddOnNon((no.ntnu.item.serviceframe.signals.addpolicy.AddOnNonAGPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddOnUnsRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardAddOnUns((no.ntnu.item.serviceframe.signals.addpolicy.AddOnUnsRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddCollaborationPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardAddRuntime((no.ntnu.item.serviceframe.signals.addpolicy.AddCollaborationPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddRBPolicyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardAddInv((no.ntnu.item.serviceframe.signals.addpolicy.AddRBPolicyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardAddPolicyOk((no.ntnu.item.serviceframe.signals.addpolicy.AddPolicyOkMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.init.InitMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.sendHello((no.ntnu.item.serviceframe.signals.init.InitMsg) signal, asm);
                performExit(curfsm);
                nextState(waitForHelloHello, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.handshake.HelloMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.sendHelloHello((no.ntnu.item.serviceframe.signals.handshake.HelloMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardGetPoliciesReq((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReqMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReplyMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.forwardGetPoliciesReply((no.ntnu.item.serviceframe.signals.getpolicies.GetPoliciesReplyMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        } else if(state == waitForHelloHello) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.handshake.HelloHelloMsg) {
                no.ntnu.item.serviceframe.actors.policymanagement.terminalpolicyeditor.TerminalPolicyEditorActions.sendInitConf((no.ntnu.item.serviceframe.signals.handshake.HelloHelloMsg) signal, asm);
                performExit(curfsm);
                nextState(idle, curfsm);
            }
        }
    }
}
