package no.ntnu.item.serviceframe.actors.profileeditor.profileeditor;

import se.ericsson.eto.norarc.ejbframe.State;
import se.ericsson.eto.norarc.ejbframe.StateMachine;
import se.ericsson.eto.norarc.ejbactorframe.ActorCS;
import se.ericsson.eto.norarc.ejbframe.messages.ActorMsg;

public class ProfileEditorCS extends ActorCS {


    protected State initialized = new se.ericsson.eto.norarc.ejbframe.State("initialized", this);

    public ProfileEditorCS() {
        super();
    }


    public void execTrans(ActorMsg signal, State state, StateMachine curfsm){
        super.execTrans(signal, state, curfsm);
        no.ntnu.item.serviceframe.actors.profileeditor.profileeditor.ProfileEditorSM asm = (no.ntnu.item.serviceframe.actors.profileeditor.profileeditor.ProfileEditorSM) curfsm;
        if(state == idle) {
                    } else if(state == initialized) {
            if(signal instanceof no.ntnu.item.serviceframe.signals.agentprofile.ProfileLoadRequestMsg) {
                no.ntnu.item.serviceframe.actors.profileeditor.profileeditor.ProfileEditorActions.sendProfile((no.ntnu.item.serviceframe.signals.agentprofile.ProfileLoadRequestMsg) signal, asm);
                performExit(curfsm);
                nextState(initialized, curfsm);
            } else if(signal instanceof no.ntnu.item.serviceframe.signals.agentprofile.ProfileUpdateMsg) {
                no.ntnu.item.serviceframe.actors.profileeditor.profileeditor.ProfileEditorActions.updateAndDistributeProfile((no.ntnu.item.serviceframe.signals.agentprofile.ProfileUpdateMsg) signal, asm);
                performExit(curfsm);
                nextState(initialized, curfsm);
            }
        }
    }
}
