/*
 * Created on 15.sep.2003
 */
package no.ntnu.item.serviceframe.auxiliar.agentprofile;

import java.util.ArrayList;

/**
 * The user profile class. Contains information regarding the user,
 * the services the user subscribes to, and the activation of these
 * services.
 *
 * @author Alf Kristian Style
 * @version 1.0, 15.sep.2003
 */
public class MalabarMPProfile extends AgentProfile{


    //List of provided services. Contains serviceIDs (String)
    private java.util.ArrayList services = new ArrayList();



	public MalabarMPProfile() {
		
	}
	

	public java.util.ArrayList getSubscriptions() {
		return services;
	}

	public void setServices(java.util.ArrayList services) {
		this.services = services;
	}

	public void addService(String service) {
		this.services.add(service);
	}

	public void removeService(String service) {
		int i = services.indexOf(service);
		if (i > -1) {
			services.remove(i);
		}
	}

}
